SUSE SLES12セキュリティ更新プログラム:kernel (SLE 12 SP3 用の Live Patch 44) (SUSE-SU-2022:1641-1)

critical Nessus プラグイン ID 161086

言語:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLES12ホストには、SUSE-SU-2022:1641-1 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- XSA-365の修正には、後続のクリーンアップコードが初期化されていない、または古い値を使用しないように、ポインターの初期化が含まれます。この初期化が過剰に行われ、特定の条件下で、クリーンアップが必要なポインターも上書きする可能性があります。クリーンアップの欠如により、永続的な付与が漏洩する可能性があります。この漏洩は、それぞれのゲストが死んだ後の完全なクリーンアップ防ぎ、ゾンビドメインを残します。XSA-365の修正プログラムが適用されたLinuxバージョンはすべて脆弱です。
XSA-365は、少なくとも3.11のバージョンに影響を与えると分類されました。 (CVE-2021-28688)

- Product: Android。バージョン: Android カーネル。Android ID: A-173788806References: Upstream カーネル (CVE-2021-39713)

- ユーザーが write() をトリガーする方法に関して、Linux カーネルの FUSE ファイルシステムにメモリ解放後使用 (Use-After-Free) の欠陥が見つかりました。
この欠陥により、ローカルユーザーが FUSE ファイルシステムからデータへ不正にアクセスし、権限昇格を引き起こす可能性があります。(CVE-2022-1011)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける kgraft-patch-4_4_180-94_161-default パッケージを更新してください。

関連情報

https://bugzilla.suse.com/1182294

https://bugzilla.suse.com/1197211

https://bugzilla.suse.com/1197344

http://www.nessus.org/u?0fdc07c2

https://www.suse.com/security/cve/CVE-2021-28688

https://www.suse.com/security/cve/CVE-2021-39713

https://www.suse.com/security/cve/CVE-2022-1011

プラグインの詳細

深刻度: Critical

ID: 161086

ファイル名: suse_SU-2022-1641-1.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2022/5/12

更新日: 2022/5/18

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.9

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-39713

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:kgraft-patch-4_4_180-94_161-default, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/5/11

脆弱性公開日: 2021/4/6

参照情報

CVE: CVE-2021-28688, CVE-2021-39713, CVE-2022-1011

SuSE: SUSE-SU-2022:1641-1